<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-27"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FBeginnerTipsManager%2FBeginnerTipsView.m%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/BeginnerTipsManager/BeginnerTipsView.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_a5077116854ba1ec9891c6bee526cc41.html">BeginnerTipsManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">BeginnerTipsView.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_beginner_tips_view_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  BeginnerTipsView.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  XHXKit</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by guohua on 2020/3/30.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_beginner_tips_view_8h.html">BeginnerTipsView.h</a>&#34;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_u_i_color_09_hex_8h.html">UIColor+Hex.h</a>&#34;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp;<span class="preprocessor">#import &lt;KKLThirdParty/Masonry.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp; </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="_beginner_tips_view_8m.html#ab71a4d99ebd54a13ac401e837981d914">   12</a></span>&nbsp;<span class="preprocessor">#define KMainTabTipTitleMaxWidth 134</span></div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="category_beginner_tips_view_07_08.html">   13</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="interface_beginner_tips_view.html">BeginnerTipsView</a> ()</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp; </div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="category_beginner_tips_view_07_08.html#a1cced3fc011ea59fa639328fe967e486">   15</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UILabel  *tipLabel;</div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="category_beginner_tips_view_07_08.html#a27eb2db501ef1b3517e5aea97b660481">   16</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UILabel  *konwLabel;</div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="category_beginner_tips_view_07_08.html#a922724a889bd7f17d552c1e90a7d0c52">   17</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIView  *lineView;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_beginner_tips_view.html">BeginnerTipsView</a></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp;- (instancetype)initWithFrame:(CGRect)frame</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp;{</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&nbsp;    <span class="keyword">self</span> = [<span class="keyword">super</span> initWithFrame:frame];</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>) {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&nbsp;        <span class="keyword">self</span>.layer.backgroundColor = [UIColor colorWithHexString:@&#34;FF7235&#34;].CGColor;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp;        <span class="keyword">self</span>.layer.cornerRadius = 4;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&nbsp;        [<span class="keyword">self</span> addSubview:self.tipLabel];</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp;        [<span class="keyword">self</span> addSubview:self.lineView];</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp;        [<span class="keyword">self</span> addSubview:self.konwLabel];</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp;        [_konwLabel mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp;            make.right.mas_equalTo(0);</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp;            make.centerY.equalTo(self);</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&nbsp;            make.height.mas_equalTo(20);</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp;            make.width.mas_equalTo(70);</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&nbsp;        }];</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&nbsp;        </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&nbsp;        [_lineView mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&nbsp;            make.top.mas_equalTo(12);</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&nbsp;            make.bottom.mas_equalTo(-12);</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&nbsp;            make.width.mas_equalTo(1);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&nbsp;            make.right.mas_equalTo(-70);</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&nbsp;        }];</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&nbsp;        </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&nbsp;        [_tipLabel mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&nbsp;            make.left.mas_equalTo(16);</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&nbsp;            make.right.equalTo(self.lineView.mas_left).offset(-16);</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&nbsp;            make.top.mas_equalTo(12);</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&nbsp;            make.bottom.mas_equalTo(-12);</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&nbsp;        }];</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&nbsp;        </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&nbsp;        </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&nbsp;    }</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&nbsp;    <span class="keywordflow">return</span> <span class="keyword">self</span>;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&nbsp;}</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&nbsp; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&nbsp;<span class="preprocessor">#pragma mark - publicMethod</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&nbsp;-(void)configContentWithTip:(NSString *)tip {</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&nbsp;    NSMutableParagraphStyle *paragraphStyle = [[NSMutableParagraphStyle alloc] init];</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&nbsp;    paragraphStyle.lineSpacing = 4;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&nbsp;    NSMutableAttributedString *attrString = [[NSMutableAttributedString alloc] initWithString:tip attributes: @{NSFontAttributeName: [UIFont systemFontOfSize:13 weight:UIFontWeightMedium],NSForegroundColorAttributeName: [UIColor whiteColor],NSParagraphStyleAttributeName:paragraphStyle}];</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&nbsp;    <span class="keyword">self</span>.tipLabel.attributedText = attrString;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&nbsp;    CGSize titleSize = [<span class="keyword">self</span>.tipLabel sizeThatFits:CGSizeMake(KMainTabTipTitleMaxWidth, MAXFLOAT)];</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&nbsp;    CGRect frame = <span class="keyword">self</span>.frame;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&nbsp;    frame.size.height = titleSize.height + 32;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&nbsp;    frame.size.width = 103 + ceilf(titleSize.<a class="code" href="category_u_i_view_07_x_h_x_rect_08.html#a1b88998f3abbfef44bf36bba5f6eb6b4">width</a>);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&nbsp;    <span class="keyword">self</span>.frame = frame;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&nbsp;}</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&nbsp; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&nbsp;<span class="preprocessor">#pragma mark - getter</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&nbsp;- (UILabel *)tipLabel {</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&nbsp;    <span class="keywordflow">if</span> (!_tipLabel) {</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&nbsp;        _tipLabel = [UILabel new];</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&nbsp;        _tipLabel.font = [UIFont systemFontOfSize:13 weight:UIFontWeightMedium];</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&nbsp;        _tipLabel.textColor = [UIColor whiteColor];</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&nbsp;        _tipLabel.numberOfLines = 0;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&nbsp;    }</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&nbsp;    <span class="keywordflow">return</span> _tipLabel;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&nbsp;}</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&nbsp; </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&nbsp;- (UIView *)lineView {</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&nbsp;    <span class="keywordflow">if</span> (!_lineView) {</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&nbsp;        _lineView = [UIView new];</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&nbsp;        _lineView.backgroundColor = [UIColor whiteColor];</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&nbsp;        _lineView.alpha = 0.49;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&nbsp;    }</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&nbsp;    <span class="keywordflow">return</span> _lineView;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&nbsp;}</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&nbsp; </div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&nbsp;- (UILabel *)konwLabel {</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&nbsp;    <span class="keywordflow">if</span> (!_konwLabel) {</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&nbsp;        _konwLabel = [UILabel new];</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&nbsp;        _konwLabel.textColor = [UIColor whiteColor];</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&nbsp;        _konwLabel.font = [UIFont systemFontOfSize:13 weight:UIFontWeightRegular];</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&nbsp;        _konwLabel.textAlignment = NSTextAlignmentCenter;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&nbsp;        _konwLabel.text = <span class="stringliteral">@&#34;知道了&#34;</span>;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&nbsp;    }</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&nbsp;    <span class="keywordflow">return</span> _konwLabel;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&nbsp;}</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&nbsp; </div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&nbsp; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="acategory_u_i_view_07_x_h_x_rect_08_html_a1b88998f3abbfef44bf36bba5f6eb6b4"><div class="ttname"><a href="category_u_i_view_07_x_h_x_rect_08.html#a1b88998f3abbfef44bf36bba5f6eb6b4">UIView(XHXRect)::width</a></div><div class="ttdeci">CGFloat width</div><div class="ttdef"><b>Definition:</b> <a href="_u_i_view_09_x_h_x_rect_8h_source.html#l00019">UIView+XHXRect.h:19</a></div></div>
<div class="ttc" id="a_beginner_tips_view_8h_html"><div class="ttname"><a href="_beginner_tips_view_8h.html">BeginnerTipsView.h</a></div></div>
<div class="ttc" id="ainterface_beginner_tips_view_html"><div class="ttname"><a href="interface_beginner_tips_view.html">BeginnerTipsView</a></div><div class="ttdef"><b>Definition:</b> <a href="_beginner_tips_view_8h_source.html#l00012">BeginnerTipsView.h:13</a></div></div>
<div class="ttc" id="a_u_i_color_09_hex_8h_html"><div class="ttname"><a href="_u_i_color_09_hex_8h.html">UIColor+Hex.h</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
制作者&nbsp;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>


</body></html>